Last Comment Bug 739316 - Intermittent TEST-UNEXPECTED-FAIL | browser/devtools/debugger/test/browser_dbg_stack-05.js | editor debugger location is correct. - Got -1, expected 5, followed by two other failures
: Intermittent TEST-UNEXPECTED-FAIL | browser/devtools/debugger/test/browser_db...
Status: RESOLVED FIXED
: intermittent-failure
Product: Firefox
Classification: Client Software
Component: Developer Tools: Debugger (show other bugs)
: 14 Branch
: x86 Windows XP
: -- normal (vote)
: Firefox 14
Assigned To: Mihai Sucan [:msucan]
:
:
Mentors:
Depends on:
Blocks: 438871
  Show dependency treegraph
 
Reported: 2012-03-26 11:23 PDT by Matt Brubeck (:mbrubeck)
Modified: 2012-11-25 19:31 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Matt Brubeck (:mbrubeck) 2012-03-26 11:23:24 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10372115&tree=Firefox
Rev3 WINNT 5.1 mozilla-central pgo test mochitest-other on 2012-03-26 06:46:49 PDT for push ba4983d9c1f9

TEST-INFO | checking window state
TEST-START | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js
TEST-INFO | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | Console message: [JavaScript Warning: "XUL box for hbox element contained an inline #text child, forcing all its children to be wrapped in a block." {file: "chrome://browser/content/debugger.xul" line: 0}]
TEST-INFO | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | Console message: [JavaScript Warning: "XUL box for hbox element contained an inline #text child, forcing all its children to be wrapped in a block." {file: "chrome://browser/content/debugger.xul" line: 0}]
TEST-INFO | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | Console message: [JavaScript Warning: "XUL box for hbox element contained an inline #text child, forcing all its children to be wrapped in a block." {file: "chrome://browser/content/debugger.xul" line: 0}]
TEST-INFO | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | Console message: [JavaScript Warning: "XUL box for hbox element contained an inline #text child, forcing all its children to be wrapped in a block." {file: "chrome://browser/content/debugger.xul" line: 0}]
TEST-INFO | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | Console message: [JavaScript Warning: "XUL box for span element contained an inline #text child, forcing all its children to be wrapped in a block." {file: "chrome://browser/content/debugger.xul" line: 0}]
TEST-INFO | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | Console message: [JavaScript Warning: "XUL box for span element contained an inline #text child, forcing all its children to be wrapped in a block." {file: "chrome://browser/content/debugger.xul" line: 0}]
TEST-INFO | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | Console message: [JavaScript Warning: "XUL box for span element contained an inline #text child, forcing all its children to be wrapped in a block." {file: "chrome://browser/content/debugger.xul" line: 0}]
TEST-INFO | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | Console message: [JavaScript Warning: "XUL box for span element contained an inline #text child, forcing all its children to be wrapped in a block." {file: "chrome://browser/content/debugger.xul" line: 0}]
TEST-INFO | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | Console message: [JavaScript Error: "The character encoding of the HTML document was not declared. The document will render with garbled text in some browser configurations if the document contains characters from outside the US-ASCII range. The character encoding of the page must to be declared in the document or in the transfer protocol." {file: "http://example.com/browser/browser/devtools/debugger/test/browser_dbg_script-switching.html" line: 0}]
TEST-INFO | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | Console message: [JavaScript Warning: "XUL box for div element contained an inline #text child, forcing all its children to be wrapped in a block." {file: "chrome://browser/content/debugger.xul" line: 0}]
TEST-INFO | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | Console message: [JavaScript Warning: "XUL box for span element contained an inline #text child, forcing all its children to be wrapped in a block." {file: "chrome://browser/content/debugger.xul" line: 0}]
TEST-INFO | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | Console message: [JavaScript Warning: "XUL box for span element contained an inline #text child, forcing all its children to be wrapped in a block." {file: "chrome://browser/content/debugger.xul" line: 0}]
TEST-PASS | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | Correct number of frames.
TEST-PASS | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | All children should be frames.
TEST-PASS | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | First frame should be selected by default.
TEST-PASS | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | Third frame should not be selected.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | editor debugger location is correct. - Got -1, expected 5
Stack trace:
    JS frame :: chrome://mochikit/content/browser-test.js :: test_is :: line 446
    JS frame :: chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js :: <TOP_LEVEL> :: line 47

TEST-PASS | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | First frame should not be selected after click.
TEST-PASS | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | Third frame should be selected after click.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | editor debugger location is correct after click. - Got -1, expected 4
Stack trace:
    JS frame :: chrome://mochikit/content/browser-test.js :: test_is :: line 446
    JS frame :: chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js :: <TOP_LEVEL> :: line 60

TEST-PASS | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | First frame should be selected after click inside the first frame.
TEST-PASS | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | Third frame should not be selected after click inside the first frame.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | editor debugger location is correct (frame 0 again). - Got -1, expected 5
Stack trace:
    JS frame :: chrome://mochikit/content/browser-test.js :: test_is :: line 446
    JS frame :: chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js :: <TOP_LEVEL> :: line 73

TEST-INFO | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | Console message: [JavaScript Warning: "XUL box for span element contained an inline #text child, forcing all its children to be wrapped in a block." {file: "chrome://browser/content/debugger.xul" line: 0}]
TEST-INFO | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | Console message: [JavaScript Warning: "XUL box for span element contained an inline #text child, forcing all its children to be wrapped in a block." {file: "chrome://browser/content/debugger.xul" line: 0}]
TEST-INFO | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | Console message: [JavaScript Warning: "XUL box for span element contained an inline #text child, forcing all its children to be wrapped in a block." {file: "chrome://browser/content/debugger.xul" line: 0}]
TEST-INFO | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | Console message: [JavaScript Warning: "XUL box for span element contained an inline #text child, forcing all its children to be wrapped in a block." {file: "chrome://browser/content/debugger.xul" line: 0}]
TEST-INFO | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | Console message: [JavaScript Warning: "XUL box for span element contained an inline #text child, forcing all its children to be wrapped in a block." {file: "chrome://browser/content/debugger.xul" line: 0}]
TEST-INFO | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | Console message: [JavaScript Warning: "XUL box for span element contained an inline #text child, forcing all its children to be wrapped in a block." {file: "chrome://browser/content/debugger.xul" line: 0}]
TEST-INFO | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | Console message: [JavaScript Warning: "XUL box for span element contained an inline #text child, forcing all its children to be wrapped in a block." {file: "chrome://browser/content/debugger.xul" line: 0}]
TEST-INFO | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | Console message: [JavaScript Warning: "XUL box for span element contained an inline #text child, forcing all its children to be wrapped in a block." {file: "chrome://browser/content/debugger.xul" line: 0}]
TEST-INFO | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | Console message: [JavaScript Warning: "XUL box for span element contained an inline #text child, forcing all its children to be wrapped in a block." {file: "chrome://browser/content/debugger.xul" line: 0}]
TEST-INFO | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | Console message: [JavaScript Warning: "XUL box for span element contained an inline #text child, forcing all its children to be wrapped in a block." {file: "chrome://browser/content/debugger.xul" line: 0}]
TEST-PASS | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | editor debugger location is correct after resume.
TEST-INFO | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | Console message: [JavaScript Warning: "XUL box for div element contained an inline #text child, forcing all its children to be wrapped in a block." {file: "chrome://browser/content/debugger.xul" line: 0}]
INFO TEST-END | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | finished in 837ms
Comment 1 Treeherder Robot 2012-03-28 04:48:12 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=10434607&tree=Firefox
Rev3 WINNT 5.1 mozilla-central opt test mochitest-other on 2012-03-28 03:36:51

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/base/content/test/browser_bug441778.js | zoom is retained after sub-document load - Got 1, expected 1.100000023841858
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | editor debugger location is correct. - Got -1, expected 5
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | editor debugger location is correct after click. - Got -1, expected 4
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | editor debugger location is correct (frame 0 again). - Got -1, expected 5
Comment 2 Treeherder Robot 2012-04-02 10:51:33 PDT
mbrubeck
https://tbpl.mozilla.org/php/getParsedLog.php?id=10561387&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound opt test mochitest-other on 2012-04-02 01:55:31

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | editor debugger location is correct. - Got -1, expected 5
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | editor debugger location is correct after click. - Got -1, expected 4
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | editor debugger location is correct (frame 0 again). - Got -1, expected 5
Comment 3 Treeherder Robot 2012-04-02 17:39:42 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10581927&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound opt test mochitest-other on 2012-04-02 17:00:11

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | editor debugger location is correct. - Got -1, expected 5
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | editor debugger location is correct after click. - Got -1, expected 4
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | editor debugger location is correct (frame 0 again). - Got -1, expected 5
Comment 4 Treeherder Robot 2012-04-04 14:54:28 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10646697&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound opt test mochitest-other on 2012-04-04 14:14:23

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | editor debugger location is correct. - Got -1, expected 5
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | editor debugger location is correct after click. - Got -1, expected 4
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | editor debugger location is correct (frame 0 again). - Got -1, expected 5
Comment 5 Treeherder Robot 2012-04-04 14:54:47 PDT
jwein%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=10646697&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound opt test mochitest-other on 2012-04-04 14:14:23

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | editor debugger location is correct. - Got -1, expected 5
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | editor debugger location is correct after click. - Got -1, expected 4
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | editor debugger location is correct (frame 0 again). - Got -1, expected 5
Comment 6 Mihai Sucan [:msucan] 2012-04-05 03:05:02 PDT
This should now be fixed by bug 734641.
Comment 7 Treeherder Robot 2012-04-19 00:47:13 PDT
myk
https://tbpl.mozilla.org/php/getParsedLog.php?id=11029918&tree=Try
Rev4 MacOSX Snow Leopard 10.6 try debug test mochitest-other on 2012-04-18 23:46:42
slave: talos-r4-snow-066

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | application crashed (minidump found)
Thread 0 (crashed)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!

Note You need to log in before you can comment on or make changes to this bug.